From e4950b12282fb33847270169d470d0d35c966cf7 Mon Sep 17 00:00:00 2001
From: Daiki Ueno <ueno@gnu.org>
Date: Mon, 15 Mar 2021 10:47:50 +0100
Subject: [PATCH 1/5] srptool: avoid FILE pointer leak on error

Signed-off-by: Daiki Ueno <ueno@gnu.org>
---
 src/srptool.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/srptool.c b/src/srptool.c
index a9715e6a37..9326ac4dad 100644
--- a/src/srptool.c
+++ b/src/srptool.c
@@ -308,18 +308,18 @@ verify_passwd(const char *conffile, const char *tpasswd,
 	do {
 		p = fgets(line, sizeof(line) - 1, fp);
 	}
 	while (p != NULL && atoi(p) != iindex);
 
+	fclose(fp);
+
 	if (p == NULL) {
 		fprintf(stderr, "Cannot find entry in %s\n", conffile);
 		return -1;
 	}
 	line[sizeof(line) - 1] = 0;
 
-	fclose(fp);
-
 	if (read_conf_values(&g, &n, line) < 0) {
 		fprintf(stderr, "Cannot parse conf file '%s'\n", conffile);
 		return -1;
 	}
 
-- 
2.30.2

